=== debian/control ===
Source: btyacc
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://www.siber.com/btyacc
Vcs-Browser: https://salsa.debian.org/debian/btyacc
Vcs-Git: https://salsa.debian.org/debian/btyacc.git

Package: btyacc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Backtracking parser generator based on byacc
 btyacc is a hacked version of the original Berkeley "byacc". The main
 change to byacc is the addition of backtracking code, allowing you to
 try both alternatives in case of shift-reduce or reduce-reduce conflicts.
 As long as no backtracking takes place, the speed is comparable to bison's
 one.
 .
 Additional features:
  - Enhanced support for storing of text position information for tokens.
  - Closes the potential *yacc/bison memory leak during error recovery.
  - Preprocessor directives like %ifdef, %include.
  - C++ friendly.
 .
 Related packages: bison, byacc, antlr
