=== debian/tests/control ===
Test-Command: btyacc | grep -i usage
Restrictions: superficial

Test-Command: cp test/* $AUTOPKGTEST_TMP/;
              cd $AUTOPKGTEST_TMP/;
              for i in $(ls); do btyacc $i; done;
              cat y.tab.c
Restrictions: allow-stderr
