=== debian/watch ===
version=4
opts=uversionmangle=s/-/./,dversionmangle=s/\+dfsg// \
https://www.siber.com/btyacc/ btyacc-(\d\S+)\.tar\.(?:bz2|gz|xz)
